> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recipient list entries



## OpenAPI

````yaml /inbound/api-reference/openapi.yaml get /users/{email}/lists/{listname}
openapi: 3.0.3
info:
  title: Inbound API
  description: |
    Manage domains for MailChannels Inbound.

    ### Rate Limits
    This API is limited to 100 queries per second, per customer.
    Queries that exceed this rate may be rejected with the
    `503 Service Temporarily Unavailable` HTTP response.
  version: 1.3.0
servers:
  - url: https://api.mailchannels.net/inbound/v1
security:
  - APIKeyHeader: []
tags:
  - name: Domains
  - name: Lists
  - name: Recipients
  - name: Login links
  - name: Reporting
  - name: Account
paths:
  /users/{email}/lists/{listname}:
    get:
      tags:
        - Lists
      summary: Get recipient list entries
      parameters:
        - name: email
          description: The email address of the recipient whose list will be fetched.
          in: path
          required: true
          schema:
            type: string
        - name: listname
          description: >-
            The name of the list to fetch. One of 'safelist' or 'blocklist'.
            'whitelist' and 'blacklist' are deprecated
          in: path
          required: true
          schema:
            type: string
            enum:
              - blocklist
              - safelist
              - blacklist
              - whitelist
      responses:
        '200':
          description: Successfully retrieved the entries
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ListItem'
        '403':
          description: |
            Returned in the case that the domain in the user email is
            associated with an api key that is different than the one in the
            request, the user is associated with a different customer, or the
            domain in the user email is an alias domain.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ListItem:
      properties:
        item:
          type: string
          description: >-
            The value of this entry.  The meaning of this value depends on the
            item_type.
        item_type:
          type: string
          description: The item type.
        action:
          type: string
          description: Which list this entry is on, e.g. safelist or blocklist.
    ErrorResponse:
      required:
        - errors
      properties:
        code:
          type: integer
        message:
          type: string
        errors:
          type: array
          items:
            type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````